oslo.messaging
==============

The Oslo messaging API supports RPC and notifications over a number of
different messaging transports.

Contents
========

.. toctree::
   :maxdepth: 1

   transport
   executors
   target
   server
   rpcclient
   notifier
   notification_driver
   notification_listener
   serializer
   exceptions
   opts
   conffixture
   drivers
   supported-messaging-drivers
   AMQP1.0
   zmq_driver
   FAQ
   contributing

Release Notes
=============

.. toctree::
   :maxdepth: 1

   history

Indices and tables
==================

* :ref:`genindex`
* :ref:`modindex`
* :ref:`search`

